Name:           kdepim-apps-libs
Version:        16.04.0
Release:        1%{?dist}
Summary:        KDE PIM common libraries

License:        GPLv2 and LGPLv2+
URL:            http://projects.kde.org/?p=%{name}.git


%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= 5.19.0
BuildRequires:  kf5-rpm-macros >= 5.19.0

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5WebKitWidgets)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(Grantlee5)
BuildRequires:  cmake(KF5Libkleo)
BuildRequires:  cmake(KF5GrantleeTheme)
BuildRequires:  cmake(KF5AkonadiContact)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(Kf5XmlGui)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Sonnet)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5WebKit)
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5WidgetsAddons)

Requires:       kf5-filesystem >= 5.19.0

Obsoletes:      kdepim-libs%{?_isa} < 16.04.0
Conflicts:      kdepim-libs%{?_isa} < 16.04.0

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake(Grantlee5)
Requires:       cmake(KF5Akonadi)

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}



%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
#TODO: Missing upstream
#%license COPYING.LIB
%{_kf5_sysconfdir}/xdg/kdepim-apps-lib.categories
%{_kf5_libdir}/libKF5ComposerEditorNG.so.*
%{_kf5_datadir}/composereditor/composereditorinitialhtml
%{_kf5_libdir}/libKF5FollowupReminder.so.*
%{_kf5_libdir}/libKF5KaddressbookGrantlee.so.*
%{_kf5_libdir}/libKF5KdepimDBusInterfaces.so.*
%{_kf5_libdir}/libKF5SendLater.so.*

%files devel
# ComposerEditorNG
%{_kf5_libdir}/libKF5ComposerEditorNG.so
%{_kf5_libdir}/cmake/KF5ComposerEditorNG
%{_kf5_includedir}/ComposerEditorNG
%{_kf5_includedir}/composereditorng
%{_kf5_includedir}/composereditorng_version.h
%{_kf5_archdatadir}/mkspecs/modules/qt_ComposerEditorNG.pri

# FollowupReminder
%{_kf5_libdir}/libKF5FollowupReminder.so
%{_kf5_libdir}/cmake/KF5FollowupReminder
%{_kf5_includedir}/FollowupReminder
%{_kf5_includedir}/followupreminder
%{_kf5_includedir}/followupreminder_version.h
%{_kf5_archdatadir}/mkspecs/modules/qt_FollowupReminder.pri

# KaddressbookGrantlee
%{_kf5_libdir}/libKF5KaddressbookGrantlee.so
%{_kf5_libdir}/cmake/KF5KaddressbookGrantlee
%{_kf5_includedir}/KaddressbookGrantlee
%{_kf5_includedir}/kaddressbookgrantlee
%{_kf5_includedir}/kaddressbookgrantlee_version.h
%{_kf5_archdatadir}/mkspecs/modules/qt_KaddressbookGrantlee.pri

# KdepimDBusInterfaces
%{_kf5_libdir}/libKF5KdepimDBusInterfaces.so
%{_kf5_libdir}/cmake/KF5KdepimDBusInterfaces
%{_kf5_includedir}/KdepimDBusInterfaces
%{_kf5_includedir}/kdepimdbusinterfaces
%{_kf5_includedir}/kdepimdbusinterfaces_version.h
%{_kf5_archdatadir}/mkspecs/modules/qt_KdepimDBusInterfaces.pri

# SendLater
%{_kf5_libdir}/libKF5SendLater.so
%{_kf5_libdir}/cmake/KF5SendLater
%{_kf5_includedir}/SendLater
%{_kf5_includedir}/sendlater
%{_kf5_includedir}/sendlater_version.h
%{_kf5_archdatadir}/mkspecs/modules/qt_SendLater.pri

%changelog
* Tue May 03 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 16.04.0-1
- Initial version
